in cluster services
 - [x] metrics-server
 - [x] ingress-nginx
 - [x] external-secrets
 - [x] cert-manager
   - [x] certificates
 - [ ] cluster-autoscaler?
 - [x] external-dns
 - [ ] prometheus/grafana
 - [x] mastodon
   - [x] redis
   - [x] elasticsearch

external services
  - [x] k8s control plane
  - [x] load-balancer
  - [x] postgres
    - [x] backup
  - [x] object store
    - [ ] backup
  - [x] email
    - [x] protonmail
